

library(rWSBIM1207)
library(rWSBIM2122)
library(tidyverse)
library(DESeq2)

way <- list.files("RNASEC")
way <- way[-13]

counts <- read_tsv(file = paste0("RNASEC/", way[1]))
counts <- counts[, c(1,7)]

for (i in way[-1]) {
  temp <- read_tsv(file = paste0("RNASEC/", i))
  temp <- temp[,c(1,7)]
  counts <- full_join(counts, temp)
}                 

counts <- as.data.frame(counts)
rownames(counts) <- counts$Geneid
counts <- counts[-1]
#save(counts, file = "countMatrix.csv")
#load("countMatrix.csv")

# What is my biological question ?
#We have a RNAseq analysis of 2 cell lines (with 3 replicates each)
#treated or not with a siRNA 
#
#What genes are impacted by the Knock-Down ? What genes are equally 
#impacted in both cell lines ?
#
#What genes are down-regulated or up-regulated by the Kock-Down
#in cell1 cells and not in cell2 cells ? + Has the KD the same effect on both
#cells ?
#
#And Vice-Versa ? 
#
#
#


# Construction of DESEQ data set

#Step1 : Create the sample metadata

cond <- c("ctrl","ctrl","ctrl","KD","KD","KD")
metadata <- data_frame(sample = colnames(counts), Cell = c("cell1","cell1","cell1","cell1","cell1","cell1","cell2","cell2","cell2","cell2","cell2","cell2"), Condition = rep(cond,2) )

metadata$Cell <- factor(metadata$Cell)
metadata$Condition <- factor(metadata$Condition)

dds <- DESeqDataSetFromMatrix(countData = counts, colData = metadata, design = ~ Condition*Cell)
# Here I suspect that it could be an interaction between the two variables i'm
# analysing



